import config from '../config'

class Rotation {
  static calculate(X1: number, Y1: number, X2: number, Y2: number): number {
    if (config.ALLOW_DIAGONAL_MOVEMENT) {
      // Check diagonal movements
      if (X1 > X2 && Y1 > Y2) {
        return 7
      } else if (X1 < X2 && Y1 < Y2) {
        return 3
      } else if (X1 > X2 && Y1 < Y2) {
        return 5
      } else if (X1 < X2 && Y1 > Y2) {
        return 1
      }
    }

    // Non-diagonal movements
    if (X1 > X2) {
      return 6
    } else if (X1 < X2) {
      return 2
    } else if (Y1 < Y2) {
      return 4
    } else if (Y1 > Y2) {
      return 0
    }

    return 0 // Default case
  }
}

export default Rotation
